Skip to main content
PUT
Fulfill a user data request

Authorizations

X-API-Key
string
header
required

Your partner API key. Use raas_sandbox_* keys for the sandbox environment and raas_live_* keys for production.

Path Parameters

dataRequestId
string
required

The data request ID received in the user.data_request webhook payload

Example:

"dr_acme_a1b2c3d4e5f6"

Body

application/json
referenceId
string
required

Reference ID of the user in your system. Must match the referenceId associated with the data request for validation.

Example:

"user-12345"

userData
object
required

User data to fulfill the request. Provide only the fields that were requested in the user.data_request webhook payload. The data will be merged with existing user data on the associated magic link.

Response

Data request fulfilled — user data received and merged successfully

success
boolean
required
Example:

true

data
object
required